%define debug_package %{nil} #Mono package

Name:           tasque
Version:        0.1.8
Release:        4%{?dist}
Summary:        A simple task management app (TODO list) for the Linux Desktop

Group:          Applications/Productivity
License:        MIT
URL:            http://live.gnome.org/Tasque
Source0:        http://ftp.gnome.org/pub/GNOME/sources/tasque/0.1/%{name}-%{version}.tar.bz2
Patch0:         tasque-0.1.8-libdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  intltool pkgconfig mono-core gtk-sharp2-devel gnome-sharp-devel ndesk-dbus-devel ndesk-dbus-glib-devel
BuildRequires:  gettext desktop-file-utils mono-data-sqlite
Requires:       mono-core gnome-sharp gtk-sharp2 ndesk-dbus-glib mono-data-sqlite

%if 0%{?fedora} >= 10
BuildRequires: notify-sharp-devel
Requires: notify-sharp
%endif

%description
Tasque is a simple task management app (TODO list) for the Linux Desktop. 

%package devel
Summary: .pc file for tasque 
Group: Documentation
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
Development file for tasque 

%prep
%setup -q
%patch0
sed -i.nosuse -e 's|X-SuSE-Core-Office;||' data/tasque.desktop.in

%build
%configure --enable-backend-rtm --enable-backend-sqlite
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}
desktop-file-install --delete-original --vendor="fedora" \
       --dir=%{buildroot}%{_datadir}/applications \
       %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.Tasque.service
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/*
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README TODO

%files devel
%defattr (-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1.8-4
- Rebuild for ppc64.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.1.8-3
- Build arch ppc64.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 David Kaylor<dkaylor@gmail.com> - 0.1.8-1
- Update to version 0.1.8
- libdir bug is partially fixed.  Create a patch for the remaining files.

* Mon Dec 22 2008 David Kaylor<dkaylor@gmail.com> - 0.1.7-5
- Add mono-data-sqlite dep for sqlite backend

* Mon Dec 22 2008 Maxime Carron <mxcarron@fedoraproject.org> - 0.1.7-4
- Enable sqlite backend for standalone mode

* Tue Oct 22 2008 David Kaylor<dkaylor@gmail.com> - 0.1.7-3
- Add NEWS and TODO doc files
- Add notify-sharp deps for Fedora 10+

* Tue Oct 20 2008 David Kaylor<dkaylor@gmail.com> - 0.1.7-2
- Put link to upstream bug in patch file 

* Tue Sep 16 2008 David Kaylor<dkaylor@gmail.com> - 0.1.7-1
- Update to 0.1.7

* Mon Jul 30 2008 David Kaylor<dkaylor@gmail.com> - 0.1.6-4
- Properly install .desktop file

* Mon Jul 16 2008 David Kaylor<dkaylor@gmail.com> - 0.1.6-3
- Remove "X-SuSE-Core-Office" from groups in desktop file
- Add ndesk-dbus-glib dependency

* Mon Jul 14 2008 David Kaylor<dkaylor@gmail.com> - 0.1.6-2
- Replace hardcoded /usr/lib paths with libdir
- Add gtk2-sharp to Requires
- Add docs files
- Stop generating debug package

* Wed Jul  3 2008 David Kaylor<dkaylor@gmail.com> - 0.1.6-1
- Update to 0.1.6
- Incorporate suggested improvements from https://bugzilla.redhat.com/show_bug.cgi?id=449869

* Wed Jun  2 2008 David Kaylor<dkaylor@gmail.com> - 0.1.5-1
- Initial package
